Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.ldap.sampler
Class LdapExtClient

    java.lang.Object
      org.apache.jmeter.protocol.ldap.sampler.LdapExtClient

public class LdapExtClient
extends Object

Ldap Client class is main class to create ,modify, search and delete all the LDAP functionality available

Constructor Summary
`LdapExtClient()` Constructor for the LdapClient object

Method Summary
`NamingEnumeration` | `compare(DirContext dirContext, String filter, String entrydn)` Filter the data in the ldap directory
`DirContext` | `connect(String host, String port, String rootdn, String username, String password, String connTimeOut, boolean secure)` connect to server
`DirContext` | `createTest(DirContext dirContext, Attributes attributes, String string)` Create the entry in the ldap directory for the given string
`void` | `deleteTest(DirContext dirContext, String string)` Delete the attribute from the ldap directory
`void` | `disconnect(DirContext dirContext)` disconnect from the server
`void` | `moddnOp(DirContext dirContext, String ddn, String newdn)` ModDN the data in the ldap directory for the given search base
`void` | `modifyTest(DirContext dirContext, ModificationItem[] mods, String string)` Modify the attribute in the ldap directory for the given string
`NamingEnumeration` | `searchTest(DirContext dirContext, String searchBase, String searchFilter, int scope, long countlim, int timelim, String[] attrs, boolean retobj, boolean deref)` Filter the data in the ldap directory for the given search base

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapExtClient

    public LdapExtClient()

  Constructor for the LdapClient object

Method Detail

### connect

    public DirContext connect(String host,
                              String port,
                              String rootdn,
                              String username,
                              String password,
                              String connTimeOut,
                              boolean secure)
                       throws NamingException

  connect to server

  Parameters:
    `host` - Description of Parameter
    `username` - Description of Parameter
    `password` - Description of Parameter
  Throws:
    `NamingException` - Description of Exception

### disconnect

    public void disconnect(DirContext dirContext)

  disconnect from the server

### searchTest

    public NamingEnumeration searchTest(DirContext dirContext,
                                        String searchBase,
                                        String searchFilter,
                                        int scope,
                                        long countlim,
                                        int timelim,
                                        String[] attrs,
                                        boolean retobj,
                                        boolean deref)
                                 throws NamingException

  Filter the data in the ldap directory for the given search base

  Parameters:
    `searchBase` - base where the search should start
    `searchFilter` - filter filter this value from the base
  Throws:
    `NamingException`

### compare

    public NamingEnumeration compare(DirContext dirContext,
                                     String filter,
                                     String entrydn)
                              throws NamingException

  Filter the data in the ldap directory

  Parameters:
    `filter` - filter this value from the base
  Throws:
    `NamingException`

### moddnOp

    public void moddnOp(DirContext dirContext,
                        String ddn,
                        String newdn)
                 throws NamingException

  ModDN the data in the ldap directory for the given search base

  Throws:
    `NamingException`

### modifyTest

    public void modifyTest(DirContext dirContext,
                           ModificationItem[] mods,
                           String string)
                    throws NamingException

  Modify the attribute in the ldap directory for the given string

  Parameters:
    `mods` - add all the entry in to the ModificationItem
    `string` - The string (dn) value
  Throws:
    `NamingException`

### createTest

    public DirContext createTest(DirContext dirContext,
                                 Attributes attributes,
                                 String string)
                          throws NamingException

  Create the entry in the ldap directory for the given string

  Parameters:
    `attributes` - add all the attributes and values from the attributes object
    `string` - The string (dn) value
  Throws:
    `NamingException`

### deleteTest

    public void deleteTest(DirContext dirContext,
                           String string)
                    throws NamingException

  Delete the attribute from the ldap directory

  Parameters:
    `string` - The string (dn) value
  Throws:
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.